# Purpose:      Data model ecachepanic module
# Author:       Carsten Lorbeer
# Date:         20/04/2000
#
# SCCS
# @(#)ecachepanic-models-d.x    1.10 01/07/27 15:49:43

_rules = { [ use PROC ]
        [ source ecachepanic-d.rul ]
}


type = reference

panicstat = { [ use MANAGED-OBJECT ]
        shortDesc   = Ecache Panic Module 
        mediumDesc  = Ecache Panic Module
        fullDesc    = Ecache Panic Module	

	filename = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = Filename 
            			mediumDesc  = Filename
            			fullDesc    = Filename	
	
	}
	
	scanlevel = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = Scanlevel 
            			mediumDesc  = Scanlevel
            			#consoleHint:hidden = true
            			fullDesc    = Scanlevel	
	
	}
	
	
	
	instDate = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = instDate
            			mediumDesc  = System Install Date
            			fullDesc    = Date of System Installation	
	
	}
	

         		
	
	panicTable = { [ use MANAGED-OBJECT-TABLE ]
		consoleHint:hidden = true
		mediumDesc    = Panic Message Table
		panic ={ [ use MANAGED-OBJECT-TABLE-ENTRY ]
			mediumDesc      = CPU Module
			index   = panicID
			panicID = { [ use INT MANAGED-PROPERTY ]
            			shortDesc   = PanicID
            			mediumDesc  = PanicID
            			fullDesc    = Number of Panic string
            			consoleHint:hidden = true
        		}
        		timestamp = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = Timestamp
            			mediumDesc  = Timestamp
            			fullDesc    = Timestamp
         		}
         		
         		seconds = { [ use INT MANAGED-PROPERTY ]
            			shortDesc   = Seconds
            			mediumDesc  = Seconds
            			fullDesc    = Seconds
         		}
         		
        		message = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = Messagestring
            			mediumDesc  = Messagestring
            			fullDesc    = Messagestring
         		}
         		
         		patternname = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = Pattern Name
            			mediumDesc  = Pattern Name
            			fullDesc    = Pattern Name
         		}
         		
			keyvalue = { [ use STRING MANAGED-PROPERTY ]
            			shortDesc   = Key Value
            			mediumDesc  = Key Value
            			fullDesc    = Key Value
         		}         		        		        		
         		
        	}
	}
}


cpupanic = { [ use MANAGED-OBJECT ]
	mediumDesc    = Panic per CPU
	
	cpupanicTable = { [ use MANAGED-OBJECT-TABLE ]
		mediumDesc    = Panic per CPU Table
		cpupanicEntry = { [ use MANAGED-OBJECT-TABLE-ENTRY ]
			mediumDesc      = Panic Entry
			index   	= Id
			
			rowstatus = { [ use GLOBROWNODE ROWSTATUS MANAGED-PROPERTY ]
                    			shortDesc   = row status
                    			mediumDesc  = Row Status
                    			fullDesc    = The row status
		    			consoleHint:hidden = true   
                	}
                	
			Id = { [ use STRING MANAGED-PROPERTY ]
			
				dataFormat  = instance
			        consoleHint:hidden = true
			}
			
			cpuId = { [ use INT MANAGED-PROPERTY ]
           	    		shortDesc	= cpuId 
            	    		mediumDesc	= Processor ID
            	    		fullDesc	= Processor ID			
			}
			
			previousPanicDesc = { [ use STRING MANAGED-PROPERTY ]
           	    		shortDesc	= previousPanic 
            	    		mediumDesc	= Previous Panic
            	    		fullDesc	= Previous Panic Timestamp			
			}
			
			previousPanic = { [ use INT MANAGED-PROPERTY ]
				consoleHint:hidden = true
		
			}
			
			currentPanicDesc = { [ use STRING MANAGED-PROPERTY ]
            	    		shortDesc	= currentPanic 
            	    		mediumDesc	= Current Panic
            	    		fullDesc	= Current Panic Timestamp			
			}
			
			currentPanic = { [ use INT MANAGED-PROPERTY ]
				consoleHint:hidden = true
			
			}
			
			
			
			newPanic = { [ use INTRULE MANAGED-PROPERTY _rules ]
				consoleHint:hidden = true
				alarmRules      = rnewPanicOccured 
				shortDesc	= Event 
            	    		mediumDesc	= Event
            	    		fullDesc	= ECC Event Flag
  			
			}
			
			panicDelta = { [ use STRING MANAGED-PROPERTY ]
           	    		shortDesc	= panicDelta 
            	    		mediumDesc	= Timediffence between 2 Panics
            	    		fullDesc	= Timediffence between 2 Panics			
			}
			
			panicType = { [ use STRING MANAGED-PROPERTY ]
           	    		shortDesc	= panicType 
            	    		mediumDesc	= Type of Panic
            	    		fullDesc	= Type of Panic				
			}
		}
	}
}
			

panicpattern = { [ use MANAGED-OBJECT ]
	mediumDesc    = Panic Message Table
	patternTable = { [ use MANAGED-OBJECT-TABLE ]
		mediumDesc    = Panic Message Table
		patternEntry = { [ use MANAGED-OBJECT-TABLE-ENTRY ]
			mediumDesc      = Pattern Entry
			index   	= name
			descColumn	= desc
			
			rowstatus = { [ use GLOBROWNODE ROWSTATUS MANAGED-PROPERTY ]
                    			shortDesc   = row status
                    			mediumDesc  = Row Status
                    			fullDesc    = The row status
		    			consoleHint:hidden = true   
                	}
                	
                	name = { [ use STRING MANAGED-PROPERTY ]
           	    			shortDesc	= pattern name 
            	    			mediumDesc	= Pattern Name
            	    			fullDesc	= The pattern name

		    			dataFormat  = instance		 
			}
                	
 			desc = { [ use GLOBROWNODE STRING MANAGED-PROPERTY ]
            	    		shortDesc	= pattern desc 
            	    		mediumDesc	= Pattern Description
            	    		fullDesc	= The pattern description
                    		required	= true
                    		dataFormat      = unicode
         		}
         		
         	        pattern = { [ use GLOBROWNODE STRING MANAGED-PROPERTY ]
            	    		shortDesc	= pattern
            	    		mediumDesc	= Regexp Pattern
            	    		fullDesc	= The regular expression pattern
                    		required        = true 
	    	       }
	    	       
	    	        kpattern = { [ use GLOBROWNODE STRING MANAGED-PROPERTY ]
            	    		shortDesc	= Key pattern
            	    		mediumDesc	= Key Pattern
            	    		fullDesc	= Key Pattern
                    		required        = true 
	    	       }

 	    	       severity = { [ use GLOBROWNODE STRING MANAGED-PROPERTY ]
				dataFormat = list:info,Info|error,Error|warning,Warning
                                required = true
            	    		shortDesc	= Severity 
            	    		mediumDesc	= Severity
            	    		fullDesc	= Severity of the ECC Event
 	    	       }
	    	       
	    	        currentMatch = { [ use INT MANAGED-PROPERTY ]
				consoleHint:hidden = true

	    	       }
		       
		       	currentMatchDesc = { [ use STRING MANAGED-PROPERTY ]
            	    		shortDesc	= currentPanic 
            	    		mediumDesc	= Current Panic
            	    		fullDesc	= Current Panic Timestamp			
			}
	    	       
	    	       
	    	       previousMatch = { [ use INT MANAGED-PROPERTY ]
		       		consoleHint:hidden = true
 
 	    	       }
		       
		       	previousMatchDesc = { [ use STRING MANAGED-PROPERTY ]
           	    		shortDesc	= previousPanic 
            	    		mediumDesc	= Previous Panic
            	    		fullDesc	= Previous Panic Timestamp			
			}
 	    	       
 	    	       delta = { [ use STRING MANAGED-PROPERTY ]
            	    		shortDesc	= Delta
            	    		mediumDesc	= Time Differnce
            	    		fullDesc	= Time Differnce between two matches
 	    	       }

	    	       
	    
		}	    	       

         }
         
}
