#!/bin/sh
#
#   File:    metastat.sh
#   Author:  Carsten Lorbeer
#   Version: 1.0 99/09/01 16:43:54
#   Created: Sept. 1, 1999
#
#   Copyright (c) Sun Microsystems
#
#   Script calls metastat command
#
#   Arguments:
#     - any metastat argument
#
#   Errors saved in /tmp/metastat.sh.out
#
# 05/22/2001	Carsten Lorbeer	Use content to determine the location
#		of the metastat command.

PROGNAME=`basename $0`
ERRFILE=/tmp/$PROGNAME.out
PkgInstallLog=/var/sadm/install/contents
METASTAT=/usr/opt/SUNWmd/sbin/metastat

if [ ! -x "$METASTAT" ] ; then
        METASTAT=`/usr/bin/grep "metastat f" $PkgInstallLog|awk '{print $1}'`
fi

if [ -x "$METASTAT" ]
then 
	$METASTAT $@ 2> $ERRFILE
else
	echo "SDS is not installed."
fi

exit 0
